// $Id: Go4AnalysisLinkDef.h 2627 2019-10-01 08:02:45Z linev $
//-----------------------------------------------------------------------
//       The GSI Online Offline Object Oriented (Go4) Project
//         Experiment Data Processing at EE department, GSI
//-----------------------------------------------------------------------
// Copyright (C) 2000- GSI Helmholtzzentrum fuer Schwerionenforschung GmbH
//                     Planckstr. 1, 64291 Darmstadt, Germany
// Contact:            http://go4.gsi.de
//-----------------------------------------------------------------------
// This software can be used under the license agreements as stated
// in Go4License.txt file which is part of the distribution.
//-----------------------------------------------------------------------

#ifdef __CINT__

#pragma link off all globals;
#pragma link off all classes;
#pragma link off all functions;

#pragma link C++ class TGo4EventElement+;
#pragma link C++ class TGo4EventProcessor+;
#pragma link C++ class TGo4EventSource+;
#pragma link C++ class TGo4EventStore+;
#pragma link C++ class TGo4EventFactory+;
#pragma link C++ class TGo4EventCalibration+;

#pragma link C++ class TGo4CompositeEvent+;
#pragma link C++ class TGo4CompositeProcessor+;


#pragma link C++ class TGo4GSIEventHeader+;
#pragma link C++ class TGo4EventHeader10+;
#pragma link C++ class TGo4SubEventHeader10+;

#pragma link C++ class TGo4MbsEvent+;
#pragma link C++ class TGo4MbsSubEvent+;

#pragma link C++ class TGo4MbsSource+;
#pragma link C++ class TGo4MbsSourcePrintPar+;
#pragma link C++ class TGo4MbsFile+;
#pragma link C++ class TGo4MbsStream+;
#pragma link C++ class TGo4MbsTransport+;
#pragma link C++ class TGo4MbsEventServer+;
#pragma link C++ class TGo4RevServ+;
#pragma link C++ class TGo4MbsRandom+;

#pragma link C++ class TGo4MainTree+;
#pragma link C++ class TGo4TreeSource+;
#pragma link C++ class TGo4TreeStore+;
#pragma link C++ class TGo4FileSource+;
#pragma link C++ class TGo4FileStore+;
#pragma link C++ class TGo4BackStore+;

#ifdef __GO4HDF5__
#pragma link C++ class TGo4HDF5Source+;
#pragma link C++ class TGo4HDF5Store+;
#endif

#pragma link C++ class TGo4EventServerFactory+;
#pragma link C++ class TGo4StepFactory+;


#pragma link C++ class TGo4HistogramServer+;
#pragma link C++ class TGo4ObjClient+;


#pragma link C++ class TGo4Analysis+;
#pragma link C++ class TGo4AnalysisStep+;
#pragma link C++ class TGo4AnalysisSniffer+;

#pragma link C++ class TGo4AnalysisWebStatus+;

#pragma link C++ class TGo4AnalysisCommand+;
#pragma link C++ class TGo4ComInitAnalysis+;
#pragma link C++ class TGo4ComCloseAnalysis+;
#pragma link C++ class TGo4ComGetNamesList+;

#pragma link C++ class TGo4AnalysisObjectCommand+;
#pragma link C++ class TGo4ComClearObject+;
#pragma link C++ class TGo4ComDeleteObject+;
#pragma link C++ class TGo4ComGetEnvelope+;
#pragma link C++ class TGo4ComSetProtections+;
#pragma link C++ class TGo4ComGetCurrentEvent+;
#pragma link C++ class TGo4ComSetPrintEvent+;
#pragma link C++ class TGo4ComSetObject+;

#pragma link C++ class TGo4ComGetObjectStatus+;

#pragma link C++ class TGo4ComGetAnalysisStatus+;
#pragma link C++ class TGo4ComSetAnalysisStatus+;
#pragma link C++ class TGo4ComLoadAnalysisStatus+;
#pragma link C++ class TGo4ComSaveAnalysisStatus+;

#pragma link C++ class TGo4ComAddTreeHistogram+;

#pragma link C++ class TGo4ComPrintHistograms+;
#pragma link C++ class TGo4ComPrintConditions+;
#pragma link C++ class TGo4ComPrintDynList+;
#pragma link C++ class TGo4ComAutosave+;


#pragma link C++ class TGo4AnalysisClient+;

#endif

