// $Id: s_filter.h 3333 2021-10-18 11:27:07Z linev $
//-----------------------------------------------------------------------
//       The GSI Online Offline Object Oriented (Go4) Project
//         Experiment Data Processing at EE department, GSI
//-----------------------------------------------------------------------
// Copyright (C) 2000- GSI Helmholtzzentrum fuer Schwerionenforschung GmbH
//                     Planckstr. 1, 64291 Darmstadt, Germany
// Contact:            http://go4.gsi.de
//-----------------------------------------------------------------------
// This software can be used under the license agreements as stated
// in Go4License.txt file which is part of the distribution.
//-----------------------------------------------------------------------

#ifndef S_FILTER_H
#define S_FILTER_H

#include "typedefs.h"
/* +++ s_filter.h +++
 * client structure for SBS monitor
 * (see also s_filter.h for GPS-Server on (Open)VMS / clients)
 * R.S. Mayer
 * 18-Feb-1994
*/
struct s_filter {
   INTU4          l_pattern;
   INTS4          l_offset;       /* offset >0: LW  <0: Words     */
   INTU4          l_opcode;
};

#endif
