// $Id: s_ve10_1.h 3333 2021-10-18 11:27:07Z linev $
//-----------------------------------------------------------------------
//       The GSI Online Offline Object Oriented (Go4) Project
//         Experiment Data Processing at EE department, GSI
//-----------------------------------------------------------------------
// Copyright (C) 2000- GSI Helmholtzzentrum fuer Schwerionenforschung GmbH
//                     Planckstr. 1, 64291 Darmstadt, Germany
// Contact:            http://go4.gsi.de
//-----------------------------------------------------------------------
// This software can be used under the license agreements as stated
// in Go4License.txt file which is part of the distribution.
//-----------------------------------------------------------------------

#ifndef S_VE10_1_H
#define S_VE10_1_H

#include "typedefs.h"
/*  ================= GSI VME Event header =======================  */

#if MBS_ENDIAN == 1

typedef struct
{
INTS4  l_dlen;   /*  Data length + 4 in words */
INTS2 i_subtype;
INTS2 i_type;
INTS2 i_trigger;   /*  Trigger number */
INTS2 i_dummy;   /*  Not used yet */
INTS4  l_count;   /*  Current event number */
} s_ve10_1;
  /* ------------------------------------------------------------------ */

#else

typedef struct
{
INTS4  l_dlen;   /*  Data length + 4 in words */
INTS2 i_type;
INTS2 i_subtype;
INTS2 i_dummy;   /*  Not used yet */
INTS2 i_trigger;   /*  Trigger number */
INTS4  l_count;   /*  Current event number */
} s_ve10_1;

#endif

#endif
