// $Id: TGo4Analysis.h 2627 2019-10-01 08:02:45Z linev $
//-----------------------------------------------------------------------
//       The GSI Online Offline Object Oriented (Go4) Project
//         Experiment Data Processing at EE department, GSI
//-----------------------------------------------------------------------
// Copyright (C) 2000- GSI Helmholtzzentrum fuer Schwerionenforschung GmbH
//                     Planckstr. 1, 64291 Darmstadt, Germany
// Contact:            http://go4.gsi.de
//-----------------------------------------------------------------------
// This software can be used under the license agreements as stated
// in Go4License.txt file which is part of the distribution.
//-----------------------------------------------------------------------

#ifndef TGO4ANALYSIS_H
#define TGO4ANALYSIS_H

// this include should be used in user code
// inside Go4 TGo4AnalysisImp.h should be used while it produce less dependencies

#include "TGo4AnalysisImp.h"

#include "TROOT.h"
#include "TCutG.h"
//
#include "TGo4Log.h"
#include "TGo4UserException.h"
#include "TGo4AnalysisStep.h"

#include "Go4EventServer.h"

class TGo4CompositeEvent;
class TGo4EventFactory;
class TGo4MbsHist;

#include "Riostream.h"
using namespace std;

#endif
