// $Id: Go4AnalysisBaseLinkDef.h 2627 2019-10-01 08:02:45Z linev $
//-----------------------------------------------------------------------
//       The GSI Online Offline Object Oriented (Go4) Project
//         Experiment Data Processing at EE department, GSI
//-----------------------------------------------------------------------
// Copyright (C) 2000- GSI Helmholtzzentrum fuer Schwerionenforschung GmbH
//                     Planckstr. 1, 64291 Darmstadt, Germany
// Contact:            http://go4.gsi.de
//-----------------------------------------------------------------------
// This software can be used under the license agreements as stated
// in Go4License.txt file which is part of the distribution.
//-----------------------------------------------------------------------

#ifdef __CINT__

#pragma link off all globals;
#pragma link off all classes;
#pragma link off all functions;

#pragma link C++ class TGo4Marker+;
#pragma link C++ class TGo4Condition+;
#pragma link C++ class TGo4CounterCond+;
#pragma link C++ class TGo4WinCond+;
#pragma link C++ class TGo4PolyCond+;
#pragma link C++ class TGo4ShapedCond+;
#pragma link C++ class TGo4ListCond+;
#pragma link C++ class TGo4CondArray+;


#pragma link C++ class TGo4Label+;
#pragma link C++ class TGo4LabelConnector+;
#pragma link C++ class TGo4LabelPainter+;
#pragma link C++ class TGo4MarkerPainter+;
#pragma link C++ class TGo4ConditionPainter+;
#pragma link C++ class TGo4WinCondPainter+;
#pragma link C++ class TGo4PolyCondPainter+;
#pragma link C++ class TGo4CondArrayPainter+;
#pragma link C++ class TGo4PolyCondView+;
#pragma link C++ class TGo4WinCondView+;

#pragma link C++ class TGo4EventProcessorParameter+;
#pragma link C++ class TGo4EventSourceParameter+;
#pragma link C++ class TGo4EventStoreParameter+;


#pragma link C++ class TGo4MbsSourceParameter+;
#pragma link C++ class TGo4MbsFileParameter+;
#pragma link C++ class TGo4MbsStreamParameter+;
#pragma link C++ class TGo4MbsTransportParameter+;
#pragma link C++ class TGo4MbsEventServerParameter+;
#pragma link C++ class TGo4RevServParameter+;
#pragma link C++ class TGo4MbsRandomParameter+;



#pragma link C++ class TGo4TreeSourceParameter+;
#pragma link C++ class TGo4TreeStoreParameter+;
#pragma link C++ class TGo4FileSourceParameter+;
#pragma link C++ class TGo4FileStoreParameter+;
#pragma link C++ class TGo4BackStoreParameter+;
#pragma link C++ class TGo4UserSourceParameter+;
#pragma link C++ class TGo4UserStoreParameter+;

#ifdef __GO4HDF5__
#pragma link C++ class TGo4HDF5SourceParameter+;
#pragma link C++ class TGo4HDF5StoreParameter+;
#endif

#pragma link C++ class TGo4DynamicEntry+;
#pragma link C++ class TGo4HistogramEntry+;
#pragma link C++ class TGo4TreeHistogramEntry+;

#pragma link C++ class TGo4AnalysisStatus+;
#pragma link C++ class TGo4AnalysisClientStatus+;
#pragma link C++ class TGo4AnalysisStepStatus+;
#pragma link C++ class TGo4HistogramStatus+;
#pragma link C++ class TGo4TreeStructure+;
#pragma link C++ class TGo4AnalysisObjectNames+;
#pragma link C++ class TGo4AnalysisObjectResult+;
#pragma link C++ class TGo4FitterEnvelope+;
#pragma link C++ class TGo4ObjEnvelope+;
#pragma link C++ class TGo4RollingGraph+;


#pragma link C++ class TGo4Ratemeter+;


#endif
