// $Id: Go4FitLinkDef.h 2627 2019-10-01 08:02:45Z linev $
//-----------------------------------------------------------------------
//       The GSI Online Offline Object Oriented (Go4) Project
//         Experiment Data Processing at EE department, GSI
//-----------------------------------------------------------------------
// Copyright (C) 2000- GSI Helmholtzzentrum fuer Schwerionenforschung GmbH
//                     Planckstr. 1, 64291 Darmstadt, Germany
// Contact:            http://go4.gsi.de
//-----------------------------------------------------------------------
// This software can be used under the license agreements as stated
// in Go4License.txt file which is part of the distribution.
//-----------------------------------------------------------------------

#ifdef __CINT__

#pragma link off all globals;
#pragma link off all classes;
#pragma link off all functions;

#pragma link C++ class TGo4FitterAbstract-;
#pragma link C++ class TGo4FitterAction+;
#pragma link C++ class TGo4FitterOutput+;
#pragma link C++ class TGo4FitterConfig+;
#pragma link C++ class TGo4FitDependency+;
#pragma link C++ class TGo4FitPeakFinder+;
#pragma link C++ class TGo4FitMinuit+;
#pragma link C++ class TGo4FitMinuitResult+;
#pragma link C++ class TGo4Fitter-;
#pragma link C++ class TGo4FitAmplEstimation+;

#pragma link C++ class TGo4FitNamed+;
#pragma link C++ class TGo4FitParameter+;
#pragma link C++ class TGo4FitParsList-;

#pragma link C++ class TGo4FitSlot-;
#pragma link C++ class TGo4FitSlotList+;

#pragma link C++ class TGo4FitComponent+;

#pragma link C++ class TGo4FitAxisTrans+;
#pragma link C++ class TGo4FitLinearTrans+;
#pragma link C++ class TGo4FitMatrixTrans+;
#pragma link C++ class TGo4FitData-;
#pragma link C++ class TGo4FitDataIter+;
#pragma link C++ class TGo4FitDataHistogram+;
#pragma link C++ class TGo4FitDataHistogramIter+;
#pragma link C++ class TGo4FitDataProfile+;
#pragma link C++ class TGo4FitDataProfileIter+;
#pragma link C++ class TGo4FitDataRidge+;
#pragma link C++ class TGo4FitDataRidgeIter+;
#pragma link C++ class TGo4FitDataGraph+;
#pragma link C++ class TGo4FitDataGraphIter+;

#pragma link C++ class TGo4FitAssignment;
#pragma link C++ class TGo4FitModel-;
#pragma link C++ class TGo4FitModelFunction;
#pragma link C++ class TGo4FitModelPolynom;
#pragma link C++ class TGo4FitModelGauss1;
#pragma link C++ class TGo4FitModelGauss2;
#pragma link C++ class TGo4FitModelGaussN;
#pragma link C++ class TGo4FitModelFormula;
#pragma link C++ class TGo4FitModelFromData;

#endif
